//
//  Shader.fsh
//  istar
//
//  Created by Pere Alsina on 10/24/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#ifdef GL_ES
precision mediump float;
precision lowp int;
#endif

uniform sampler2D uMap;
varying vec2 vTexCoord;

uniform vec4            uColor;
uniform vec3            uEdgeColor;
uniform mat4            mColor;
uniform float           uFx;


void main (void)
{
    vec4 col = texture2D(uMap, vTexCoord);
    float originalAlpha = col.a;
    col = (col * uColor) * mColor;

    col = vec4( col.rgb + uEdgeColor * (1.0 - originalAlpha) * uFx * col.a  , col.a );

    gl_FragColor = col;
}

