//
//  Shader.fsh
//  istar
//
//  Created by Pere Alsina on 10/24/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#ifdef GL_ES
precision mediump float;
precision lowp int;
#endif

uniform sampler2D uMap;
varying vec2 vTexCoord;

uniform vec2            uResolution;
uniform vec4            uColor;
uniform mat4            mColor;
uniform float           uFx;

void main (void)
{
	float dxtex = 1.0 / uResolution.x /*image width*/;
    float dytex = 1.0 / uResolution.y /*image height*/;
    float delta = 0.0;
    
    // read neighboring pixel intensities
    vec2 desp = vec2(0,0);
    for (int i=-1; i<2; i++)
    {
        desp.x = dxtex * float(i);
        for(int j=-1; j<2; j++)
        {
            desp.y = dytex * float(j);
            vec2 t = vTexCoord + desp;
            t = clamp(t, 0.0, 1.0);
            delta = delta + texture2D(uMap, t).a;
        }
    }
    
    // average color differences around neighboring pixels
    delta = delta / 9.0;
    
	
	
    if ( delta < 0.75 && delta > 0.05)
        gl_FragColor = vec4( 0.0 ,0.86, 1.0, 1.0) * uFx;
    else
        gl_FragColor = (texture2D(uMap, vTexCoord)*uColor) * mColor;
    
}

